@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
unique_id.h File Reference
`#include "pico.h"`
Include dependency graph for unique_id.h:

Go to the source code of this file.

## Data Structures

struct | pico_unique_board_id_t
| Unique board identifier. More...

## Macros

#define | PICO_UNIQUE_BOARD_ID_SIZE_BYTES 8
#define | PICO_UNIQUE_BOARD_ID_INIT_PRIORITY 1000
| Static initialization order.

## Functions

void | pico_get_unique_board_id (pico_unique_board_id_t *id_out)
| Get unique ID.
void | pico_get_unique_board_id_string (char *id_out, uint len)
| Get unique ID in string format.